//************************************************************************
//     dfrget.h
//     2009 © DigiFi Limited
//
//     This is the header file defines the repeat get commands
//     
//
//************************************************************************

#ifndef DFRGET_HEADER
#define DFRGET_HEADER

#include "dfclient.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
	DFRGET_ALBUMARTIST = 0,
	DFRGET_DETAILTRACKINFO = 1,
	DFRGET_LASTPLAYERERROR = 2,
	DFRGET_PLAYERSTATUS = 3,
	DFRGET_PLAYINGCHECKSUM = 4,
	DFRGET_REPEAT = 5,
	DFRGET_SHUFFLE = 6,
	DFRGET_TRACKNAME = 7,
	DFRGET_TRACKPOSITION = 8
} df_rgettype;



int dfrget_init(void (*callback)(int));
int dfrget_connected(void);
int dfrget_shutdown(void);



int dfrget_enable(void);
int dfrget_disable(void);

int dfrget_setcontext(df_rgettype type, void *context);



void dfrget_bufferflush(void);


// RGet functions
int dfrget_albumartist(unsigned int room_id, void (*callback)(df_albumartist*, void*), void *context);
int dfrget_clearcommands(unsigned int room_id);
int dfrget_detailedtrackinfo(unsigned int room_id, void (*callback)(df_detailedtrack*, void*), void *context);
int dfrget_lastplayererror(unsigned int room_id, void (*callback)(char*, void*), void *context);
int dfrget_playerstatus(unsigned int room_id, void (*callback)(char*, void*), void *context);
int dfrget_playingchecksum(unsigned int room_id, void (*callback)(char*, void*), void *context);
int dfrget_repeat(unsigned int room_id, void (*callback)(int, void*), void *context);
int dfrget_shuffle(unsigned int room_id, void (*callback)(int, void*), void *context);
int dfrget_trackname(unsigned int room_id, void (*callback)(df_trackname*, void*), void *context);
int dfrget_trackposition(unsigned int room_id, void (*callback)(df_time*, void*), void *context);

#ifdef __cplusplus
}
#endif
	

#endif